hibernation support for linux-aws

Bug #1831940 reported by Kamal Mostafa
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-aws (Ubuntu)
Fix Released
High
Andrea Righi
Xenial
Fix Released
High
Kamal Mostafa
Bionic
Fix Released
High
Kamal Mostafa
Disco
Won't Fix
High
Andrea Righi
Eoan
Fix Released
Undecided
Andrea Righi
Focal
Fix Released
High
Andrea Righi
linux-aws-5.0 (Ubuntu)
Invalid
Undecided
Unassigned
Xenial
Invalid
Undecided
Unassigned
Bionic
Fix Released
Undecided
Unassigned
Disco
Invalid
Undecided
Unassigned
Eoan
Won't Fix
Undecided
Unassigned
Focal
Invalid
Undecided
Unassigned

Bug Description

Additional AWS-specific and mainline patches are required to support hibernation across the various types of AWS instances.

The following patch sets for linux-aws-xenial and linux-aws-bionic provide the necessary functionality, and should only impact the hibernation and resume paths.

[linux-aws-xenial]

UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on restore
UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in xen_restore_pirqs.
radix-tree: delete radix_tree_locate_item()
mm: rid swapoff of quadratic complexity
sched/wait: Fix abort_exclusive_wait(), it should pass TASK_NORMAL to wake_up()
sched/wait: Avoid abort_exclusive_wait() in ___wait_event()
sched/wait: Avoid abort_exclusive_wait() in __wait_on_bit_lock()
sched/wait: Introduce init_wait_entry()
sched/wait: Standardize wait_bit_queue naming
sched/wait: Introduce wait_var_event()
mm: swapoff: shmem_unuse() stop eviction without igrab()
UBUNTU SAUCE [aws]: mm: aggressive swapoff
UBUNTU SAUCE [aws]: PM / hibernate: make sure pm_async is always disabled
NVMe: Allow request merges
PM / hibernate: Do not free preallocated safe pages during image restore
PM / hibernate: Recycle safe pages after image restoration
PM / hibernate: Simplify mark_unsafe_pages()
UBUNTU: [Config] aws: disable CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS
UBUNTU SAUCE [aws] PM / hibernate: set image_size to total RAM size by default
UBUNTU SAUCE [aws] PM / hibernate: reduce memory pressure during image writing
UBUNTU SAUCE [aws] mm, page_alloc: disable fair zone allocation policy on hibernate

[linux-aws-bionic]

UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on restore
UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in xen_restore_pirqs.
mm: rid swapoff of quadratic complexity
sched/wait: Introduce wait_var_event()
mm: swapoff: shmem_unuse() stop eviction without igrab()
UBUNTU SAUCE [aws]: mm: aggressive swapoff
netlink: Don't shift on 64 for ngroups

[linux-aws-edge-bionic]

UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in xen_restore_pirqs.
UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on restore
UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
UBUNTU SAUCE [aws]: PM / hibernate: set image_size to 0 by default
UBUNTU SAUCE [aws]: PM / hibernate: make sure pm_async is always disabled
UBUNTU SAUCE [aws]: mm: swap: improve swap readahead heuristic
UBUNTU SAUCE [aws] PM / hibernate: reduce memory pressure during image writing
PM / hibernate: memory_bm_find_bit(): Tighten node optimisation
mm: rid swapoff of quadratic complexity
mm: refactor swap-in logic out of shmem_getpage_gfp

Changed in linux-aws (Ubuntu Xenial):
status: New → In Progress
Changed in linux-aws (Ubuntu Bionic):
status: New → In Progress
Changed in linux-aws (Ubuntu Xenial):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-aws (Ubuntu Bionic):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-aws (Ubuntu Xenial):
importance: Undecided → High
Changed in linux-aws (Ubuntu Bionic):
importance: Undecided → High
description: updated
Revision history for this message
Kamal Mostafa (kamalmostafa) wrote :

These AWS-specific patch sets provide the requisite hibernate/resume functionality, and have been extensively tested on all supported AWS instance types.

Changed in linux-aws (Ubuntu):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-aws (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 4.15.0-1044.46

---------------
linux-aws (4.15.0-1044.46) bionic; urgency=medium

  * linux-aws: 4.15.0-1044.46 -proposed tracker (LP: #1834930)

  * hibernation support for linux-aws (LP: #1831940)
    - UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on
      restore
    - UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
    - UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
    - UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in
      xen_restore_pirqs.
    - mm: rid swapoff of quadratic complexity
    - sched/wait: Introduce wait_var_event()
    - mm: swapoff: shmem_unuse() stop eviction without igrab()
    - UBUNTU SAUCE [aws]: mm: aggressive swapoff
    - netlink: Don't shift on 64 for ngroups

 -- Kleber Sacilotto de Souza <email address hidden> Thu, 04 Jul 2019 14:47:13 +0200

Changed in linux-aws (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 4.4.0-1088.99

---------------
linux-aws (4.4.0-1088.99) xenial; urgency=medium

  * linux-aws: 4.4.0-1088.99 -proposed tracker (LP: #1834908)

  * hibernation support for linux-aws (LP: #1831940)
    - UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on
      restore
    - UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
    - UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
    - UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in
      xen_restore_pirqs.
    - radix-tree: delete radix_tree_locate_item()
    - mm: rid swapoff of quadratic complexity
    - sched/wait: Fix abort_exclusive_wait(), it should pass TASK_NORMAL to
      wake_up()
    - sched/wait: Avoid abort_exclusive_wait() in ___wait_event()
    - sched/wait: Avoid abort_exclusive_wait() in __wait_on_bit_lock()
    - sched/wait: Introduce init_wait_entry()
    - sched/wait: Standardize wait_bit_queue naming
    - sched/wait: Introduce wait_var_event()
    - mm: swapoff: shmem_unuse() stop eviction without igrab()
    - UBUNTU SAUCE [aws]: mm: aggressive swapoff
    - UBUNTU SAUCE [aws]: PM / hibernate: make sure pm_async is always disabled
    - NVMe: Allow request merges
    - PM / hibernate: Do not free preallocated safe pages during image restore
    - PM / hibernate: Recycle safe pages after image restoration
    - PM / hibernate: Simplify mark_unsafe_pages()
    - [Config] aws: disable CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS
    - UBUNTU SAUCE [aws] PM / hibernate: set image_size to total RAM size by
      default
    - UBUNTU SAUCE [aws] PM / hibernate: reduce memory pressure during image
      writing
    - UBUNTU SAUCE [aws] mm, page_alloc: disable fair zone allocation policy on
      hibernate

 -- Kleber Sacilotto de Souza <email address hidden> Thu, 04 Jul 2019 15:27:25 +0200

Changed in linux-aws (Ubuntu Xenial):
status: Fix Committed → Fix Released
Andrea Righi (arighi)
Changed in linux-aws (Ubuntu Disco):
importance: Undecided → High
assignee: nobody → Andrea Righi (arighi)
Andrea Righi (arighi)
description: updated
Changed in linux-aws (Ubuntu Disco):
status: New → Fix Committed
Changed in linux-aws-5.0 (Ubuntu):
status: New → Invalid
Changed in linux-aws-5.0 (Ubuntu Xenial):
status: New → Invalid
Changed in linux-aws-5.0 (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux-aws-5.0 (Ubuntu Disco):
status: New → Invalid
Andrea Righi (arighi)
Changed in linux-aws (Ubuntu Eoan):
assignee: nobody → Andrea Righi (arighi)
Changed in linux-aws (Ubuntu Focal):
assignee: Kamal Mostafa (kamalmostafa) → Andrea Righi (arighi)
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (28.8 KiB)

This bug was fixed in the package linux-aws-5.0 - 5.0.0-1027.30

---------------
linux-aws-5.0 (5.0.0-1027.30) bionic; urgency=medium

  * bionic/linux-aws-5.0: 5.0.0-1027.30 -proposed tracker (LP: #1865434)

  [ Ubuntu: 5.0.0-43.47 ]

  * disco/linux: 5.0.0-43.47 -proposed tracker (LP: #1865110)
  * CVE-2020-2732
    - KVM: nVMX: Don't emulate instructions in guest mode
    - KVM: nVMX: Refactor IO bitmap checks into helper function
    - KVM: nVMX: Check IO instruction VM-exit conditions

linux-aws-5.0 (5.0.0-1026.29) bionic; urgency=medium

  * bionic/linux-aws-5.0: 5.0.0-1026.29 -proposed tracker (LP: #1863281)

  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - [config] linux-aws: remove CONFIG_ALLOW_LOCKDOWN_LIFT_BY_SYSRQ

  * hibernation support for linux-aws (LP: #1831940)
    - UBUNTU SAUCE [aws] PM / hibernate: reduce memory pressure during image
      writing
    - UBUNTU SAUCE [aws]: PM / hibernate: make sure pm_async is always disabled
    - UBUNTU SAUCE [aws]: PM / hibernate: set image_size to 0 by default
    - UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
    - UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on
      restore
    - UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
    - UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in
      xen_restore_pirqs.

  * linux-aws: swapoff optimization (LP: #1858618)
    - mm: refactor swap-in logic out of shmem_getpage_gfp
    - mm: rid swapoff of quadratic complexity
    - UBUNTU SAUCE [aws]: mm: swap: improve swap readahead heuristic

  [ Ubuntu: 5.0.0-42.46 ]

  * disco/linux: 5.0.0-42.46 -proposed tracker (LP: #1863297)
  * CVE-2019-3016
    - KVM: Introduce a new guest mapping API
    - kvm: fix compilation on aarch64
    - kvm: fix compilation on s390
    - kvm: fix compile on s390 part 2
    - KVM: Properly check if "page" is valid in kvm_vcpu_unmap
    - x86/kvm: Be careful not to clear KVM_VCPU_FLUSH_TLB bit
    - x86/kvm: Introduce kvm_(un)map_gfn()
    - x86/kvm: Cache gfn to pfn translation
    - x86/KVM: Make sure KVM_VCPU_FLUSH_TLB flag is not missed
    - x86/KVM: Clean up host's steal time structure
  * Dell XPS 13 (7390) Display Flickering - 19.10 (LP: #1849947)
    - SAUCE: drm/i915: Disable PSR by default on all platforms
  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - Revert "UBUNTU: SAUCE: (efi-lockdown) Add a SysRq option to lift kernel
      lockdown"
  * Disco update: upstream stable patchset 2020-02-07 (LP: #1862418)
    - ARM: dts: meson8: fix the size of the PMU registers
    - clk: qcom: gcc-sdm845: Add missing flag to votable GDSCs
    - dt-bindings: reset: meson8b: fix duplicate reset IDs
    - ARM: dts: imx6q-dhcom: fix rtc compatible
    - clk: Don't try to enable critical clocks if prepare failed
    - ASoC: msm8916-wcd-digital: Reset RX interpolation path after use
    - iio: buffer: align the size of scan bytes to size of the largest element
    - USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and MTP85xx
    - USB: serial: option: Add support for Quectel RM500Q
    - USB: serial: opticon: fix control-message timeouts
    - USB: ser...

Changed in linux-aws-5.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-aws (Ubuntu Eoan):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-aws - 5.4.0-1007.7

---------------
linux-aws (5.4.0-1007.7) focal; urgency=medium

  [ Ubuntu: 5.4.0-21.25 ]

  * CVE-2020-8835
    - SAUCE: bpf: undo incorrect __reg_bound_offset32 handling

 -- Thadeu Lima de Souza Cascardo <email address hidden> Fri, 27 Mar 2020 17:06:08 -0300

Changed in linux-aws (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (65.7 KiB)

This bug was fixed in the package linux-aws - 5.3.0-1017.18

---------------
linux-aws (5.3.0-1017.18) eoan; urgency=medium

  * eoan/linux-aws: 5.3.0-1017.18 -proposed tracker (LP: #1870709)

  * hibernation support for linux-aws (LP: #1831940)
    - UBUNTU SAUCE [aws] PM / hibernate: reduce memory pressure during image
      writing
    - UBUNTU SAUCE [aws]: PM / hibernate: make sure pm_async is always disabled
    - UBUNTU SAUCE [aws]: PM / hibernate: set image_size to 0 by default
    - UBUNTU SAUCE [aws]: ACPICA: Enable sleep button on ACPI legacy wake
    - UBUNTU SAUCE [aws]: block: xen-blkfront: consider new dom0 features on
      restore
    - UBUNTU SAUCE [aws]: xen: restore pirqs on resume from hibernation.
    - UBUNTU SAUCE [aws]: xen: Only restore the ACPI SCI interrupt in
      xen_restore_pirqs.

  * linux-aws: swapoff optimization (LP: #1858618)
    - UBUNTU SAUCE [aws]: mm: swap: improve swap readahead heuristic

  * Root can lift kernel lockdown via USB/IP (LP: #1861238)
    - [Config] aws: really remove option to lift lockdown via SysRq

  [ Ubuntu: 5.3.0-47.39 ]

  * eoan/linux: 5.3.0-47.39 -proposed tracker (LP: #1870720)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - SAUCE: Input: i8042 - fix the selftest retry logic
  * Eoan update: upstream stable patchset 2020-03-31 (LP: #1869908)
    - ACPI: watchdog: Allow disabling WDAT at boot
    - HID: apple: Add support for recent firmware on Magic Keyboards
    - cfg80211: check reg_rule for NULL in handle_channel_custom()
    - scsi: libfc: free response frame from GPN_ID
    - net: usb: qmi_wwan: restore mtu min/max values after raw_ip switch
    - net: ks8851-ml: Fix IRQ handling and locking
    - mac80211: rx: avoid RCU list traversal under mutex
    - signal: avoid double atomic counter increments for user accounting
    - slip: not call free_netdev before rtnl_unlock in slip_open
    - hinic: fix a irq affinity bug
    - hinic: fix a bug of setting hw_ioctxt
    - net: rmnet: fix NULL pointer dereference in rmnet_newlink()
    - net: rmnet: fix NULL pointer dereference in rmnet_changelink()
    - net: rmnet: fix suspicious RCU usage
    - net: rmnet: remove rcu_read_lock in rmnet_force_unassociate_device()
    - net: rmnet: do not allow to change mux id if mux id is duplicated
    - net: rmnet: use upper/lower device infrastructure
    - net: rmnet: fix bridge mode bugs
    - net: rmnet: fix packet forwarding in rmnet bridge mode
    - sfc: fix timestamp reconstruction at 16-bit rollover points
    - jbd2: fix data races at struct journal_head
    - driver core: Remove device link creation limitation
    - driver core: Fix creation of device links with PM-runtime flags
    - net: qrtr: fix len of skb_put_padto in qrtr_node_enqueue
    - ARM: 8957/1: VDSO: Match ARMv8 timer in cntvct_functional()
    - ARM: 8958/1: rename missed uaccess .fixup section
    - mm: slub: add missing TID bump in kmem_cache_alloc_bulk()
    - HID: google: add moonball USB id
    - ipv4: ensure rcu_read_lock() in cipso_v4_error()
    - netfilter: hashlimit: do not use indir...

Changed in linux-aws (Ubuntu Eoan):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-aws-5.0 (Ubuntu Eoan):
status: New → Confirmed
Steve Langasek (vorlon)
Changed in linux-aws (Ubuntu Disco):
status: Fix Committed → Won't Fix
Revision history for this message
Brian Murray (brian-murray) wrote :

The Eoan Ermine has reached end of life, so this bug will not be fixed for that release

Changed in linux-aws-5.0 (Ubuntu Eoan):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers